pci_dev_get
Prev | PCI Support Library | Next

## Name

pci_dev_get — increments the reference count of the pci device structure

## Synopsis

`struct pci_dev * pci_dev_get (` | struct pci_dev * | dev`)`;

## Arguments

`dev`

  the device being referenced

## Description

Each live reference to a device should be refcounted.

Drivers for PCI devices should normally record such references in their `probe` methods, when they bind to a device, and release them by calling `pci_dev_put`, in their `disconnect` methods.

A pointer to the device with the incremented reference counter is returned.

Prev | Up | Next
pci_dev_driver | Home | pci_dev_put